Subject: bug#13002: Dealing with C intermediate files

From: Karl Berry <[email-masked]>
Date: Sat, 24 Oct 2020 09:53:25 -0600

The obvious canonical examples would have to be lex and yacc.  They 
    generate .c and .h files into the blddir, and automake has built-in 
    mechanisms to include the generated sources into the tarball.

No argument there, but vala is so much newer than lex and yacc,
especially in terms of Automake support. I don't see the need to create
in these latter days yet another special case for treating intermediate
files non-intermediately.

Reuben's option 1 seems simplest to me: just treat the vala intermediate
files as intermediate. Not in make dist.

Jim/Paul/anyone, wdyt?